Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.util
Class DefaultMessageBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              com.bea.adapter.util.DefaultMessageBundle

    public class DefaultMessageBundle

extends ListResourceBundle

Provides messages to ADK classes when there is no available ResourceBundle from the environment. These are typically error messages that only the adapter developer will see anyway.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CONNECTION_PING_FAILED`
`static String` | `EMPTY_CONTEXT` Key used to locate the message for indicating the value for a log context was "" empty and hence invalid.
`static String` | `ERROR_CLOSING_CONNECTION`
`static String` | `INVALID_CONNECTION_URL`
`static String` | `INVALID_CONTEXT` Key used to locate the message for indicating the value for a log context was null and hence invalid.
`static String` | `INVALID_COUNTRY_CODE` Key used to locate the message for indicating that the value supplied for a country code is not valid.
`static String` | `INVALID_LANGUAGE_CODE` Key used to locate the message for indicating that the value supplied for a language code is not valid.
`static String` | `INVALID_LICENSE` Key used to locate the message stating that there is no valid license available in the runtime environment for the resource adapter.
`static String` | `INVALID_LOG_CONFIG_FILE`
`static String` | `INVALID_LOG_LEVEL`
`static String` | `INVALID_MESSAGE_BUNDLE_BASE`
`static String` | `INVALID_PASSWORD`
`static String` | `INVALID_PORT_NUMBER`
`static String` | `INVALID_ROOT_LOG_CONTEXT` Key used to locate the message stating that the base log context for the resource adapter is null or empty and is thus invalid.
`static String` | `INVALID_SERVER_NAME`
`static String` | `INVALID_STATE_EXCEPTION`
`static String` | `INVALID_USER_NAME`
`static String` | `LOG_CONFIG_FILE_NOT_SET`
`static String` | `MESSAGE_BUNDLE_BASE_NOT_SET`
`static String` | `MISSING_LOG_CONFIG`
`static String` | `MISSING_RESOURCE_BUNDLE` Key used to locate the message stating that the message bundle for a resource adapter cannot be located on the classpath.
`static String` | `NON_CONNECTION_EXCEPTION_WHILE_PINGING`
`static String` | `NULL_ARGUMENT`
`static String` | `NULL_PRINTWRITER`
`static String` | `ROOT_LOG_CONTEXT_NOT_SET`
`static String` | `WEBLOGIC_APPENDER_INIT_ERROR`
`static String` | `WEBLOGIC_APPENDER_LOG`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`DefaultMessageBundle()`

Method Summary
`Object[][]` | `getContents()`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_MESSAGE_BUNDLE_BASE

    public static final String INVALID_MESSAGE_BUNDLE_BASE

See Also:
  Constant Field Values

### INVALID_LOG_CONFIG_FILE

    public static final String INVALID_LOG_CONFIG_FILE

See Also:
  Constant Field Values

### MESSAGE_BUNDLE_BASE_NOT_SET

    public static final String MESSAGE_BUNDLE_BASE_NOT_SET

See Also:
  Constant Field Values

### LOG_CONFIG_FILE_NOT_SET

    public static final String LOG_CONFIG_FILE_NOT_SET

See Also:
  Constant Field Values

### ROOT_LOG_CONTEXT_NOT_SET

    public static final String ROOT_LOG_CONTEXT_NOT_SET

See Also:
  Constant Field Values

### NULL_ARGUMENT

    public static final String NULL_ARGUMENT

See Also:
  Constant Field Values

### INVALID_LOG_LEVEL

    public static final String INVALID_LOG_LEVEL

See Also:
  Constant Field Values

### INVALID_ROOT_LOG_CONTEXT

    public static final String INVALID_ROOT_LOG_CONTEXT

  Key used to locate the message stating that the base log context for the resource adapter is null or empty and is thus invalid.

  See Also:
    Constant Field Values

### MISSING_RESOURCE_BUNDLE

    public static final String MISSING_RESOURCE_BUNDLE

  Key used to locate the message stating that the message bundle for a resource adapter cannot be located on the classpath. The message for this key is provided by com.bea.adapter.util.DefaultMessageBundle_language_country where language is the default language code for the JVM and country is the default country code for the JVM.

  See Also:
    Constant Field Values

### INVALID_LICENSE

    public static final String INVALID_LICENSE

  Key used to locate the message stating that there is no valid license available in the runtime environment for the resource adapter.

  See Also:
    Constant Field Values

### INVALID_LANGUAGE_CODE

    public static final String INVALID_LANGUAGE_CODE

  Key used to locate the message for indicating that the value supplied for a language code is not valid.

  See Also:
    Constant Field Values

### INVALID_COUNTRY_CODE

    public static final String INVALID_COUNTRY_CODE

  Key used to locate the message for indicating that the value supplied for a country code is not valid.

  See Also:
    Constant Field Values

### INVALID_CONTEXT

    public static final String INVALID_CONTEXT

  Key used to locate the message for indicating the value for a log context was null and hence invalid.

  See Also:
    Constant Field Values

### EMPTY_CONTEXT

    public static final String EMPTY_CONTEXT

  Key used to locate the message for indicating the value for a log context was "" empty and hence invalid.

  See Also:
    Constant Field Values

### INVALID_STATE_EXCEPTION

    public static final String INVALID_STATE_EXCEPTION

See Also:
  Constant Field Values

### INVALID_USER_NAME

    public static final String INVALID_USER_NAME

See Also:
  Constant Field Values

### INVALID_PASSWORD

    public static final String INVALID_PASSWORD

See Also:
  Constant Field Values

### INVALID_SERVER_NAME

    public static final String INVALID_SERVER_NAME

See Also:
  Constant Field Values

### INVALID_PORT_NUMBER

    public static final String INVALID_PORT_NUMBER

See Also:
  Constant Field Values

### INVALID_CONNECTION_URL

    public static final String INVALID_CONNECTION_URL

See Also:
  Constant Field Values

### MISSING_LOG_CONFIG

    public static final String MISSING_LOG_CONFIG

See Also:
  Constant Field Values

### NULL_PRINTWRITER

    public static final String NULL_PRINTWRITER

See Also:
  Constant Field Values

### WEBLOGIC_APPENDER_INIT_ERROR

    public static final String WEBLOGIC_APPENDER_INIT_ERROR

See Also:
  Constant Field Values

### WEBLOGIC_APPENDER_LOG

    public static final String WEBLOGIC_APPENDER_LOG

See Also:
  Constant Field Values

### CONNECTION_PING_FAILED

    public static final String CONNECTION_PING_FAILED

See Also:
  Constant Field Values

### NON_CONNECTION_EXCEPTION_WHILE_PINGING

    public static final String NON_CONNECTION_EXCEPTION_WHILE_PINGING

See Also:
  Constant Field Values

### ERROR_CLOSING_CONNECTION

    public static final String ERROR_CLOSING_CONNECTION

See Also:
  Constant Field Values

Constructor Detail

### DefaultMessageBundle

    public DefaultMessageBundle()

Method Detail

### getContents

    public Object[][] getContents()

  Specified by:
    `getContents` in class `ListResourceBundle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD